> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cargado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update teams by email

> Update team external IDs by email. Matches teams in your organization by
email and assigns each an externalId for use in subsequent API calls
(e.g., load sync coverage assignment).



## OpenAPI

````yaml /openapi.yml post /teams/updateByEmail
openapi: 3.1.0
info:
  title: Cargado API
  version: 1.0.0
  description: Cargado's API
  termsOfService: https://cargado.com/terms/
  contact:
    email: dev-support@cargado.com
servers:
  - url: https://api.cargado.com
    description: The production Cargado API server
security: []
tags:
  - name: Border Crossings
  - name: Loads
  - name: Rates
  - name: CarrierRelationship
  - name: User
  - name: Team
  - name: Webhooks
  - name: Bids
paths:
  /teams/updateByEmail:
    post:
      tags:
        - Team
      summary: Update teams by email
      description: |-
        Update team external IDs by email. Matches teams in your organization by
        email and assigns each an externalId for use in subsequent API calls
        (e.g., load sync coverage assignment).
      operationId: UpdateTeamsByEmail
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamUpdateByEmailInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamUpdateByEmailOutput'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                required:
                  - message
                type: object
              examples:
                Example 1:
                  value:
                    message: Unauthorized
      security:
        - apiKey: []
components:
  schemas:
    TeamUpdateByEmailInput:
      properties:
        teams:
          items:
            $ref: '#/components/schemas/TeamUpdateByEmailItemInput'
          type: array
      required:
        - teams
      type: object
      additionalProperties: true
    TeamUpdateByEmailOutput:
      properties:
        results:
          items:
            $ref: '#/components/schemas/TeamUpdateByEmailItemResult'
          type: array
      required:
        - results
      type: object
      additionalProperties: true
    TeamUpdateByEmailItemInput:
      properties:
        email:
          type: string
          minLength: 1
        externalId:
          type: string
          minLength: 1
      required:
        - email
        - externalId
      type: object
      additionalProperties: true
    TeamUpdateByEmailItemResult:
      anyOf:
        - $ref: '#/components/schemas/TeamUpdateByEmailMatch'
        - $ref: '#/components/schemas/TeamUpdateByEmailNotFound'
        - $ref: '#/components/schemas/TeamUpdateByEmailDuplicate'
    TeamUpdateByEmailMatch:
      properties:
        status:
          type:
            - string
            - 'null'
          enum:
            - MATCHED
        email:
          type: string
        id:
          type: string
          examples:
            - team_abc123
        externalId:
          type: string
          examples:
            - ext-1
      required:
        - status
        - email
        - id
        - externalId
      type: object
      additionalProperties: true
    TeamUpdateByEmailNotFound:
      properties:
        status:
          type:
            - string
            - 'null'
          enum:
            - NOT_FOUND
        email:
          type: string
      required:
        - status
        - email
      type: object
      additionalProperties: true
    TeamUpdateByEmailDuplicate:
      properties:
        status:
          type:
            - string
            - 'null'
          enum:
            - DUPLICATE
        email:
          type: string
      required:
        - status
        - email
      type: object
      additionalProperties: true
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key

````